Home//
REST API Reference
/- Add tag to a conversation
Remove tag from a conversation
List all conversations
Creates a conversation
Retrieve a conversation
Update a conversation
Search conversations
Reply to a conversation
Manage a conversation
Run Assignment Rules on a conversation
Attach a contact to a conversation
Detach a contact from a group conversation
Redact a conversation part
Conversation
Conversation List Item
Add tag to a conversation
You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/conversations/{conversation_id}/tags
- The european API serverhttps://api.eu.intercom.io/conversations/{conversation_id}/tags
- The australian API serverhttps://api.au.intercom.io/conversations/{conversation_id}/tags
- successful
- Conversation not found
curl -i -X POST \
https://api.intercom.io/conversations/64619700005694/tags \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.9' \
-d '{
"id": 89,
"admin_id": 991267387
}'successful
The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.
Example:1663597223
applied_byobject or null(Reference)
The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.
Response
{ "type": "tag", "id": "89", "name": "Manual tag", "applied_at": 1663597223, "applied_by": { "type": "admin", "id": "456" } }